commit:     32728668bf3e609dab53f4fb5c1b1cf004db32ff
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sat May  8 19:19:14 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sat May  8 19:20:57 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32728668

www-client/firefox: check for sys-devel/llvm:$LLVM_SLOT in llvm_check_deps()

When we override llvm_check_deps(), we have to check for
sys-devel/llvm:$LLVM_SLOT on our own.

Bug: https://bugs.gentoo.org/788763
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 www-client/firefox/firefox-78.10.1.ebuild | 5 +++++
 www-client/firefox/firefox-88.0.1.ebuild  | 5 +++++
 2 files changed, 10 insertions(+)

diff --git a/www-client/firefox/firefox-78.10.1.ebuild 
b/www-client/firefox/firefox-78.10.1.ebuild
index c2e05bd89ee..94c0a2be1af 100644
--- a/www-client/firefox/firefox-78.10.1.ebuild
+++ b/www-client/firefox/firefox-78.10.1.ebuild
@@ -200,6 +200,11 @@ if [[ -z "${MOZ_GMP_PLUGIN_LIST+set}" ]] ; then
 fi
 
 llvm_check_deps() {
+       if ! has_version -b "sys-devel/llvm:${LLVM_SLOT}" ; then
+               ewarn "sys-devel/llvm:${LLVM_SLOT} is missing! Cannot use LLVM 
slot ${LLVM_SLOT} ..." >&2
+               return 1
+       fi
+
        if ! has_version -b "sys-devel/clang:${LLVM_SLOT}" ; then
                ewarn "sys-devel/clang:${LLVM_SLOT} is missing! Cannot use LLVM 
slot ${LLVM_SLOT} ..." >&2
                return 1

diff --git a/www-client/firefox/firefox-88.0.1.ebuild 
b/www-client/firefox/firefox-88.0.1.ebuild
index 9f488363331..64ae6e7f68e 100644
--- a/www-client/firefox/firefox-88.0.1.ebuild
+++ b/www-client/firefox/firefox-88.0.1.ebuild
@@ -193,6 +193,11 @@ if [[ -z "${MOZ_GMP_PLUGIN_LIST+set}" ]] ; then
 fi
 
 llvm_check_deps() {
+       if ! has_version -b "sys-devel/llvm:${LLVM_SLOT}" ; then
+               ewarn "sys-devel/llvm:${LLVM_SLOT} is missing! Cannot use LLVM 
slot ${LLVM_SLOT} ..." >&2
+               return 1
+       fi
+
        if ! has_version -b "sys-devel/clang:${LLVM_SLOT}" ; then
                ewarn "sys-devel/clang:${LLVM_SLOT} is missing! Cannot use LLVM 
slot ${LLVM_SLOT} ..." >&2
                return 1

Reply via email to